
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>A simple in-process HTTP server for UWP / iVAN</title>

    <meta name="description" content="A simple in-process HTTP server for UWP 原文 http://www.dzhang.com/blog/2012/09/18/a-simple-in-process-http-server-for-windows-8-metro-apps 简单来说,就是在UWP中做一个支持GET请求简单的Web Server,本实例UWP(server) 与 Winform(client) 在同一机子将无法通讯,但UWP(server)写client代码可调用调试. 注意,Package.appxmanifest 选项&quot;功能&quot;卡中的I ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">A simple in-process HTTP server for UWP</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>原文 <a href="http://www.dzhang.com/blog/2012/09/18/a-simple-in-process-http-server-for-windows-8-metro-apps" rel="external nofollow noreferrer">http://www.dzhang.com/blog/2012/09/18/a-simple-in-process-http-server-for-windows-8-metro-apps</a></p>
<p>简单来说，就是在UWP中做一个支持<strong>GET请求</strong>简单的Web Server，本实例UWP(server) 与 Winform(client) 在同一机子将无法通讯，但UWP（server）写client代码可调用调试。</p>
<p>注意，Package.appxmanifest 选项“功能”卡中的Internet配置。</p>
<p>Below is some code for a simple HTTP server for Metro/Modern-style Windows 8 apps. This code supports GET requests for a resource located at the root-level (e.g. <code>http://localhost:8000/foo.txt</code>) and looks for the corresponding file in the <code>Data</code> directory of the app package. This might be useful for unit testing, among other things.</p>
<pre>public class HttpServer : IDisposable {
  private const uint BufferSize = 8192;
  private static readonly StorageFolder LocalFolder
               = Windows.ApplicationModel.Package.Current.InstalledLocation;

  private readonly StreamSocketListener listener;

  public HttpServer(int port) {
    this.listener = new StreamSocketListener();
    this.listener.ConnectionReceived += (s, e) =&gt; ProcessRequestAsync(e.Socket);
    this.listener.BindServiceNameAsync(port.ToString());
  }

  public void Dispose() {
    this.listener.Dispose();
  }

  private async void ProcessRequestAsync(StreamSocket socket) {
    // this works for text only
    StringBuilder request = new StringBuilder();
    using(IInputStream input = socket.InputStream) {
      byte[] data = new byte[BufferSize];
      IBuffer buffer = data.AsBuffer();
      uint dataRead = BufferSize;
      while (dataRead == BufferSize) {
        await input.ReadAsync(buffer, BufferSize, InputStreamOptions.Partial);
        request.Append(Encoding.UTF8.GetString(data, 0, data.Length));
        dataRead = buffer.Length;
      }
    }

    using (IOutputStream output = socket.OutputStream) {
      string requestMethod = request.ToString().Split('\n')[0];
      string[] requestParts = requestMethod.Split(' ');

      if (requestParts[0] == "GET")
        await WriteResponseAsync(requestParts[1], output);
      else
        throw new InvalidDataException("HTTP method not supported: "
                                       + requestParts[0]);
    }
  }

  private async Task WriteResponseAsync(string path, IOutputStream os) {
    using (Stream resp = os.AsStreamForWrite()) {
      bool exists = true;
      try {
        // Look in the Data subdirectory of the app package
        string filePath = "Data" + path.Replace('/', '\\');
        using (Stream fs = await LocalFolder.OpenStreamForReadAsync(filePath)) {
          string header = String.Format("HTTP/1.1 200 OK\r\n" +
                          "Content-Length: {0}\r\n" +
                          "Connection: close\r\n\r\n",
                          fs.Length);
          byte[] headerArray = Encoding.UTF8.GetBytes(header);
          await resp.WriteAsync(headerArray, 0, headerArray.Length);
          await fs.CopyToAsync(resp);
        }
      }
      catch (FileNotFoundException) {
        exists = false;
      }

      if (!exists) {
        byte[] headerArray = Encoding.UTF8.GetBytes(
                              "HTTP/1.1 404 Not Found\r\n" +
                              "Content-Length:0\r\n" +
                              "Connection: close\r\n\r\n");
        await resp.WriteAsync(headerArray, 0, headerArray.Length);
      }

      await resp.FlushAsync();
    }
  }
}</pre>
<p>Usage:</p>
<pre>const int port = 8000;
using (HttpServer server = new HttpServer(port)) {
  using (HttpClient client = new HttpClient()) {
    try {
      byte[] data = await client.GetByteArrayAsync(
                    "http://localhost:" + port + "/foo.txt");
      // do something with
    }
    catch (HttpRequestException) {
      // possibly a 404
    }
  }
}</pre>
<p> </p>
<p>Notes:</p>
<ul>
<li>The app manifest needs to declare the "Internet (Client &amp; Server)" and/or the "Private Networks (Client &amp; Server)" capability.</li>
<li>Due to the Windows 8 security model:
<ul>
<li>A Metro app can access network servers within its own process.</li>
<li>A Metro app <em>Foo</em> can access network servers hosted by another Metro app <em>Bar</em> iff <em>Foo</em> has a <a href="http://msdn.microsoft.com/en-us/library/windows/apps/hh780593.aspx" rel="external nofollow noreferrer">loopback exemption</a>. You can use <code>CheckNetIsolation.exe</code> to do this. This is useful for debugging only, as it must be done manually.</li>
<li>A Desktop app cannot access network servers hosted by a Metro app. The <a href="http://msdn.microsoft.com/en-us/library/windows/apps/windows.networking.backgroundtransfer.backgrounddownloader" rel="external nofollow noreferrer"><code>BackgroundDownloader</code></a> appears to fall into this category even though that is an API available to Metro apps.</li>
</ul>
</li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 03:52:38</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/http/" title="http">http</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/socket/" title="socket">socket</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/request/" title="request">request</a>, <a href="https://www.iamivan.net/tag/access/" title="access">access</a>, <a href="https://www.iamivan.net/tag/network/" title="network">network</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>A simple in-process HTTP server for UWP的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlOkVVb.html" rel="bookmark">A simple IOCP Server&sol;Client Class</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Download demo project v1.13 - 64.4 Kb Download source v1.13 - 121 Kb 1.1 Requirements This article expects the reader to be familiar with C++, TCP/IP, socket programming, MFC, and multithreading. The source code uses Winsock 2.0 and IOCP technology			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOKX8M.html" rel="bookmark">基于Service Broker的异步消息传递</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这里演示同一个SQL Server中不同数据库之间的基于Service Broker的异步消息传递,其中Stored Procedure充当Service Program.HelloWorldDB为目标数据库,DotNetFun2则为消息发送发的数据库. 同时,假设Server Broker的基本对象类型已经创建,如MessageType(XMLMessage), Contract(XMLContract), Queue(SendingQueue and ReceivingQueue)等等,具体			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zD51aBb.html" rel="bookmark">【OH】Glossary Oracle词汇表（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[OH]Glossary Oracle词汇表(下) Oracle? Database Installation Guide 11g Release 2 (11.2) for Linux E47689-05 Glossary ● Oracle Automatic Storage Management disk group A set of disk devices that Oracle Automatic Storage Management (Oracle ASM) manages as a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAlQWQb.html" rel="bookmark">A Unix Utility You Should Know About&colon; Netcat</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				This is the second post in the article series about Unix utilities that you should know about. In this post I will introduce you to the netcat tool or simply nc. Netcat is often referred to as a &quot;Swiss Army knife&quot; utility, and for a good reason.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGAgkM.html" rel="bookmark">Http Status Codes</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://httpstatus.es/ 1xx informational 100 client should continue with request 101 server is switching protocols 102 server has received and is processing the request 103 resume aborted PUT or POST requests 122 URI is longer than a maximum of 208			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEmWYp.html" rel="bookmark">How to Quickly Implement Nginx-based Website Monitoring</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Introduction: In this article, we dive into a scenario that discusses a rapidly growing business with an application that provides users with e-commerce data statistics web services. The application adopts the common distributed Nginx + app architect			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Y92VM.html" rel="bookmark">工作流引擎Activiti 专题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://github.com/Activiti/Activiti Quick Start Guide This quick start assumes: Familiarity with Maven and Java A development environment with Java The following variables will be referenced in this tutorial Variable Description $mvnProject The root			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3rZk3z.html" rel="bookmark">PostgreSQL pg&lowbar;hba&period;conf &amp;quot&semi;search bind&amp;quot&semi; configure Use LDAP auth</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇BLOG讲了一下在PostgreSQL的pg_hba.conf中配置ldap simple bind的认证方式. PostgreSQL还支持另一种bind方式. search+bind 相当于PostgreSQL server需要两次和ldap server交互. 交互过程如下. In the second mode, which we will call the search+bind mode, the server first binds to the LDAP directory			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrXaqmz.html" rel="bookmark">OGRE Code Review HOWTO</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Table of Contents Introduction The Process What to Look For Style Design Guidelines OGRE Specific Guidelines Introduction The time has come for all good men to come to the aid of their favorite rendering engine. The OGRE Project needs you to help wit			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWJyrb.html" rel="bookmark" class="title">网站初期策划如何权衡决定栏目的设置</a>
					<div>
						立足网站核心价值 一个成功网站的栏目设置,必须从兼顾流量性,盈利性,立足网站核心价值打造相关吻合性考虑来上与不上. 在实际网站运营中,我发现&quot;网站的流量,盈利设计与栏目设置&quot;考虑其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN9eWb.html" rel="bookmark" class="title">XML 技术</a>
					<div>
						20.2.1 XML 简介    XML 是扩展标识语言(Extensible Markup Language) 的英文缩写.XML 语言是下一代大型Web 主导技术,它是一种基于SGML 的.简单灵 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRXKNz.html" rel="bookmark" class="title">深入研究Servlet线程安全性问题</a>
					<div>
						摘要:介绍了Servlet多线程机制,通过一个实例并结合Java 的内存模型说明引起Servlet线程不安全的原因,给出了保证Servlet线程安全的三种解决方案,并说明三种方案在实际开发中的取舍.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7mX6b.html" rel="bookmark" class="title">Lucene 3&period;0&period;0之样例解析&lpar;5&rpar;-IndexFiles&period;java</a>
					<div>
						之前我谈到了把Term加入到Posting表中的过程, 接下来我将大致说说把Posting表写入到文件中的过程. 这些内容我看得不算仔细, 之后有时间可以详细的扩展一下, 先留个脚印在这儿 : 之前的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrEZ4p.html" rel="bookmark" class="title">Photoshop调出外景人像照片甜美效果</a>
					<div>
						 Photoshop调出外景人像照片甜美的小清新 具体的制作步骤如下: 这类小清新的照片的后期思路有一个大的方向,用术语来说就是往高调片走,通俗来说就是--明度较高的片子.在直方图上的一般表现是这样的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balY8nz.html" rel="bookmark" class="title">Windows 7系统提速技巧</a>
					<div>
						Windows 7正式版发布以来,由于兼容性较好,Windows 7用户关注的焦点也是从最初的兼容性转移到系统优化上来.但对于一般用户来说,系统优化只是一个概念.具体该如何操作却往往无从下手.在之前的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NGqAz.html" rel="bookmark" class="title">Photoshop给冬季人物照片加上冷色调</a>
					<div>
						冷色图片看上去简单,处理其它还是挺复杂的.首先需要对图片的局部进行美化,修复图片的不足之处.然后再整体润色,色调不能太生硬了,以柔和,梦幻为佳.最后还需要装饰一些冬天的元素,如雪花等.         ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7NYOb.html" rel="bookmark" class="title">如何用酷狗离线听歌&comma;不影响网速</a>
					<div>
						1.点击酷狗界面左上角的酷狗图标,弹出主菜单,点击该菜单的&quot;选项设置&quot;;如(图1) 图1 2.在弹出窗口中点选网络设置,勾选&quot;网络设置&quot;中最上方的&quot;关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOrwab.html" rel="bookmark" class="title">PhotoShop为人物照片添加时尚咖啡色调</a>
					<div>
						效果 原图 详细教程 咖啡色系列调色教程: Photoshop调出美女图片古典淡咖啡色 PhotoShop为外景人像调出咖啡色艺术色调					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8rYkb.html" rel="bookmark" class="title">Word 2007技巧：设置剪贴画映像效果</a>
					<div>
						  所谓映像就是为选中的Word 2007剪贴画创建一份剪贴画副本,实现剪贴画的倒影效果.在Word 2007中提供了剪贴画映像功能,操作步骤如下所述: 第1步,打开Word 2007文档窗口,选中需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ovvkb.html" rel="bookmark" class="title">最近接了个项目：做的是关于软硬件开发，而且需要的是从音频口插入的。有没有人做过？</a>
					<div>
						问题描述 最近接了个项目:做的是关于软硬件开发,而且需要的是从音频口插入的.有没有人做过? 1.声音的播放与录入 2.声音的播放需要根据客户输入的频率来变化 3.声音需要转化成数组,数组需要转化成声音 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArR0ep.html" rel="bookmark" class="title">启动-短信猫报错，请高手们帮助看看。感谢</a>
					<div>
						问题描述 短信猫报错,请高手们帮助看看.感谢 0 2015-01-04 14:32:58500 [WatchDog] ERROR cn.sendsms.modem.AModemDriver - GTW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQ527p.html" rel="bookmark" class="title">《Adobe Illustrator CC经典教程》目录&mdash;导读</a>
					<div>
						版 权 声 明 Adobe Illustrator CC经典教程 Adobe Illustrator CC Classroom in a Book 2013 Adobe Systems Incorpo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPlGlp.html" rel="bookmark" class="title">在Spring Boot项目中使用Spock框架</a>
					<div>
						Spock框架是基于Groovy语言的测试框架,Groovy与Java具备良好的互操作性,因此可以在Spring Boot项目中使用该框架写优雅.高效以及DSL化的测试用例.Spock通过@RunWi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7d2Zz.html" rel="bookmark" class="title">HTML5手势检测原理和实现</a>
					<div>
						本文讲的是HTML5手势检测原理和实现,随着 Hybrid 应用的丰富,HTML5 工程师们已经不满足于把桌面端体验简单移植到移动端,他们觊觎移动原生应用人性化的操作体验,特别是原生应用与生俱来的丰富 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QvAnp.html" rel="bookmark" class="title">《响应式Web设计实践》一2&period;2&emsp;字体大小</a>
					<div>
						2.2 字体大小 响应式Web设计实践 要想让你的设计拥抱Web的流动性,那就意味着在你的设计中要能够灵活地改变字体大小.你可以在Web上使用任意单位来设置字体大小,但主要的方法不外乎三种:像素.em ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwOnKM.html" rel="bookmark" class="title">PLSQL显示乱码-无法进行中文条件查询解决</a>
					<div>
						PLSQL显示乱码-无法进行中文条件查询解决   原因:   PLSQL乱码问题皆是ORACLE服务端字符集编码与PLSQL端字符集编码不一致引起.类似乱码问题都可以从编码是否一致上面去考虑.   解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwkN5p.html" rel="bookmark" class="title">传媒巨头覃辉买下《中华工商时报》广告经营权</a>
					<div>
						传媒大鳄覃辉旗下星美出版将与内地中华工商时报社订立合作意向书,双方计划成立合资公司,负责&lt;中华工商时报&gt;的经营及发行工作.据悉,星美将享有该报广告的独家经营权,为期20年. 覃辉又出手了. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ7X8p.html" rel="bookmark" class="title">html-关于HTML自适应 ，不显示滚动</a>
					<div>
						问题描述 关于HTML自适应 ,不显示滚动 banner,网页尺寸都比分辨率大,会出现横线滚动条,如何自适应? 解决方案 动态调整宽度,比如加载后或者windows的resize事件中动态调整元素的w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlBEqp.html" rel="bookmark" class="title">linux 内核-Linux TC 流量控制 HTB</a>
					<div>
						问题描述 Linux TC 流量控制 HTB 我编了几条HTB命令,但每次用ftp传文件的时候,传完显示的速率都跟设定的rate相差很多,请问是什么原因呢? 解决方案 TC HTB流量控制linux下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RYn7z.html" rel="bookmark" class="title">hi3531 SDK 编译 uboot&comma; 修改PHY地址&comma; 修改 uboot 参数 &period;</a>
					<div>
						一,编译uboot SDK文档写得比较清楚了,写一下需要注意的地方吧. 1. 之前用SDK里和别人给的已经编译好的uboot,使用fastboot工具都刷不到板子上.最后自己用SDK里uboot源码编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKwn8b.html" rel="bookmark" class="title">关于HTTP线程设置问题</a>
					<div>
						问题描述 我的HTTP吞吐量大概在360-380之前,就是那个TOTALREQUESRTIME除以TOTALREQUESTPROCESSED=得到的值那么的HTTP线程应该设置为多少合适,而且我发现如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqnwKz.html" rel="bookmark" class="title">ext 表头下拉菜单冻结选项不隐藏</a>
					<div>
						问题描述 ext 表头下拉菜单冻结选项不隐藏 ext出现冻结下拉菜单,需要在添加locked:true,才能出现冻结菜单选项,求大神帮忙.我想去除它的隐藏判断条件.让它进入页面的时候就显示					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22WOZb.html" rel="bookmark" class="title">快捷酒店被曝用毛巾擦地&quot;毛巾门&quot;挫伤公众信任感</a>
					<div>
						据中国之声&lt;新闻纵横&gt;报道,不管是出差,还是旅游,当你来到一个新的城市,一家舒适的酒店.一件温馨的客房,最能消除旅行的疲惫.以往,对于大多数人来说,星级酒店的富丽堂皇可望不可及,普通旅馆虽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7aGaz.html" rel="bookmark" class="title">stm32-STM32F4DISCOVERY串口怎么打开</a>
					<div>
						问题描述 STM32F4DISCOVERY串口怎么打开 STLINK驱动已经正确安装,在设备管理器中串行总线设备可以中可以找到,但是这个板子的串口怎么打开?设备管理器没有显示有端口啊,应该怎么做啊,大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M121Vdp.html" rel="bookmark" class="title">多图带您领略Windows 10 Server虚拟化平台风采</a>
					<div>
						Windows 10 Server的重点是虚拟化平台.从微软发布的信息来看,最终Windows 10 Server的命名可能会是Windows Server 2016.续上一篇的体验,我们来看看虚拟化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB4oqz.html" rel="bookmark" class="title">【Linux FTP】（1）FTP中转服务器搭建</a>
					<div>
						需求: 比较久远的事情,记得为了方便策划上传文件,在ftp服务器的基础上,提高文件服务器的安全性,搭建ftp中转服务器,策划会在本地电脑上传文件到中转服务器,然后由脚本自动上传中转服务器的文件到后面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRB8op.html" rel="bookmark" class="title">【LeetCode从零单排】No133&period; clon graph &lpar;BFS广度优先搜索&rpar;</a>
					<div>
						背景 (以下背景资料转载自:http://www.cnblogs.com/springfor/p/3874591.html?utm_source=tuicool) DFS(Dpeth-first Se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwv96M.html" rel="bookmark" class="title">数据结构-为什么顺序读写磁盘的速度要远远快于随机读写内存？</a>
					<div>
						问题描述 为什么顺序读写磁盘的速度要远远快于随机读写内存? 很诡异,内存访问一般要快于硬盘不是吗?LSMtree似乎就是依据这个原理 解决方案 一般来说,内存访问的速度是硬盘读写速度的10倍以上. 但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQgynp.html" rel="bookmark" class="title">uploadify&plus;&period;ashx上传文件问题。</a>
					<div>
						问题描述 使用uploadify+.ashx上传文件,在本机所有类型的图片都可以上传的.但是发布到服务器上之后,只有.png的文件能上传成功,其他类型的图片文件,上传显示成功但其实并没有上传到服务,连 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
